%define name unixODBC
%define version 1.7
%define release 2mdk

Name: %{name}
Summary: Unix ODBC driver manager and database drivers
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Patch: %{name}-%{version}.patch.bz2
Group: Databases
URL: http://www.unixODBC.org
Copyright: LGPL
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPreReq: bison, flex
Prefix: %{_prefix}
Provides: libodbc.so, libodbcinst.so

%description
UnixODBC is a free/open and solution for ODBC. ODBC is an open
specifican for providing application developers with a predictable API
with which to access Data Sources. Data Sources include SQL Servers and
any Data Source with an ODBC Driver.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p0

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --sysconfdir=/etc --disable-gui
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{prefix}
olddir=`pwd`
cd $RPM_BUILD_DIR/%{name}-%{version}
docdir="$RPM_BUILD_ROOT/usr/doc/%{name}-%{version}"
mkdir -p $docdir
cp AUTHORS COPYING ChangeLog INSTALL NEWS README $docdir
cd doc
for i in `find . -type d`; do mkdir -p $docdir/$i; done
for i in `find . -type f -regex '.*html'`; do cp $i $docdir/$i; done
for i in `find . -type f -regex '.*gif'`; do cp $i $docdir/$i; done
for i in `find . -type f -regex '.*css'`; do cp $i $docdir/$i; done
unset docdir
cd $olddir
unset olddir

cd $RPM_BUILD_ROOT
find . -type d | sed -e '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
       -e '/\/etc\//s|^|%config|' \
       -e '/\/config\//s|^|%config|' \
       -e '/\/usr\/doc\//s|^|%doc|' \
       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed -e 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Sat Apr 16 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7-2mdk
- fixed group.
- cleaned spec file.

* Tue Oct 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation.
-first package for Mandrake.
